Subject: Re: [PATCH net-next 4/5] llc: convert to getsockopt_iter

From: Breno Leitao <[email-masked]>
Date: Thu, 7 May 2026 02:29:40 -0700

On Wed, May 06, 2026 at 05:25:25PM -0700, Jakub Kicinski wrote:
> On Tue, 05 May 2026 04:12:41 -0700 Breno Leitao wrote:
> > Convert LLC socket's getsockopt implementation to use the new
> > getsockopt_iter callback with sockopt_t.
> > 
> > Key changes:
> > - Replace (char __user *optval, int __user *optlen) with sockopt_t *opt
> > - Use opt->optlen for buffer length (input) and returned size (output)
> > - Use copy_to_iter() instead of put_user()/copy_to_user()
> > - Add linux/uio.h for copy_to_iter()
> 
> kdoc needs to be adjusted here.

Good catch, I will update!

> When you repost could you split the CAN stuff out and send it 
> to Marc and co. ? We don't normally take CAN patches directly.

Ack, I will split this series in two, one for CAN and one for non-CAN
drivers.

Thanks for the review,
--breno